diff -aurN kmymoney-5.1.2/kmymoney/mymoney/mymoneycontact.cpp kmymoney-5.1.2-mod/kmymoney/mymoney/mymoneycontact.cpp
--- kmymoney-5.1.2/kmymoney/mymoney/mymoneycontact.cpp	2021-06-23 17:49:12.000000000 +0200
+++ kmymoney-5.1.2-mod/kmymoney/mymoney/mymoneycontact.cpp	2021-12-12 17:03:38.513691645 +0100
@@ -8,11 +8,20 @@
 #include "mymoneycontact.h"
 
 #ifdef ENABLE_ADDRESSBOOK
-#include <KIdentityManagement/IdentityManager>
 #include <KIdentityManagement/Identity>
+#include <KIdentityManagement/IdentityManager>
+#include <akonadi_version.h>
+
+#if AKONADI_VERSION >= QT_VERSION_CHECK(5, 18, 41)
+#include <Akonadi/Collection>
+#include <Akonadi/ItemFetchScope>
+#include <Akonadi/RecursiveItemFetchJob>
+#else
 #include <AkonadiCore/RecursiveItemFetchJob>
 #include <AkonadiCore/ItemFetchScope>
 #include <AkonadiCore/Collection>
+#endif
+
 #include <KContacts/Addressee>
 #include <QRegularExpression>
 #endif
@@ -67,7 +76,7 @@
         job->fetchScope().fetchFullPayload();
         job->fetchScope().setAncestorRetrieval(Akonadi::ItemFetchScope::Parent);
         job->setProperty("MyMoneyContact_email", email);
-        connect(job, SIGNAL(result(KJob*)), this, SLOT(searchContactResult(KJob*)));
+        connect(job, &Akonadi::RecursiveItemFetchJob::result, this, &MyMoneyContact::searchContactResult);
         job->start();
     }
 #else
